./misc/ocaml-opam, OCaml package manager

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.0.0_rc3, Package name: ocaml-opam-2.0.0_rc3, Maintainer: jaapb

OPAM is a source-based package manager for OCaml. It supports multiple
simultaneous compiler installations, flexible package constraints, and a
Git-friendly development workflow.


Required to run:
[www/curl] [lang/ocaml] [devel/ocaml-cmdliner] [devel/ocaml-extlib] [devel/ocamlgraph] [devel/ocaml-re] [misc/ocaml-cudf] [misc/dose3] [textproc/ocaml-jsonm] [misc/ocaml-opam-file-format] [devel/ocaml-jbuilder]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 8c392bf38a8c60e78a1bed0c487bc5b28c3204bb
RMD160: d16ef6a34d19a06d2c7e64913f08a1681d0a510a
Filesize: 841.608 KB

Version history: (Expand)


CVS history: (Expand)


   2018-07-19 16:21:31 by Jaap Boender | Files touched by this commit (3) | Package updated
Log message:
Updated misc/ocaml-opam to version 2.0.0_rc3.

This has several changes and bugfixes; most importantly, it has lost the
camlp4 dependency.
   2018-04-29 23:32:09 by Adam Ciarcinski | Files touched by this commit (629) | Package updated
Log message:
revbump for boost-libs update
   2018-04-09 13:25:48 by Jaap Boender | Files touched by this commit (3) | Package updated
Log message:
Updated package misc/ocaml-opam to version 2.0.0_rc.

This release has small fixes over the previous version.
   2018-01-10 17:33:23 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated package misc/ocaml-opam to version 2.0.0beta5.

This version includes several bugfixes; see the CHANGES file.
   2018-01-01 22:18:57 by Adam Ciarcinski | Files touched by this commit (629) | Package updated
Log message:
Revbump after boost update
   2017-09-08 21:10:21 by Jaap Boender | Files touched by this commit (1)
Log message:
Obviously, we can't install opam using opam, as it hasn't been installed
yet, so do it explicitly using the opam-installer we just built
   2017-09-08 18:50:46 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated package to latest version, 2.0.0beta4. Changes include:

* Building with OCaml < 4.02.3 is no longer supported
* Support compilation with a built-in mccs solver (removing run-time dependency
  to aspcud). Integrated half-working "heuristics" dropped.
* Remove jsonm and transitive uutf dependency.
* Switch build systems to `jbuilder`, including `lib-ext` support
* Allow repeated and or'd arguments to the `list` command
* Many code and build system portability fixes (Windows, BSD)
* Add `switch export --full` to include package definitions
* Add `announce:` and `stamp:` fields to repositories (`repo` files)
* Add a global cache of git objects (greatly speeding up multiple cloning)
* Allow `opam pin URL` without a package name
* Many error handling, messages and corner case fixes
* Updated the versions of dependencies
* Removed the unused `features:` field, and proposal for a new syntax
* More informative exit codes, and documentation thereof
   2017-09-08 11:51:27 by Jaap Boender | Files touched by this commit (113) | Package updated
Log message:
Recursive revbump associated with update of ocaml to 4.05